2006-04-29: Jonathan Chan
	* Pebrot 0.8.8

2006-04-29: inspector_chan
	* Hid socket error when server closes idle chat

2006-04-07: inspector_chan
	* Fixed /! command. Now even shows error output 

2006-04-03: inspector_chan
	* User's listing on init now honors auto_list_on0_clear

2006-03-28: inspector_chan
	* Fixed connection problem on chat init
	* Updated 'es' translation

2006-03-26: inspector_chan
	* Fixed (sort of) list not showing all users on init

2006-03-22: inspector_chan
	* Added missing \r on some commands. (Patch from Daniel Savard)

2005-09-15: (Jonathan Chan changes)
	* Added user # to changed state notification to make it clearer for users
	with large buddy lists.
	* Updated /s fln to give instructions to quit or sign back on.
	* Added "/o user" (Open chat window feature)

2005-09-15: inspector_chan (Jonathan changes)
	* FLN (offline) state fixed.
	* Pebrot does not always have to be online while running.
	* Pebrot does not "crash" when another user logs in (presents a nice
	neat message).
	* Fixed adding invalid usernames. (instead of crashing, it presents a
	dialog)
	* Added timestamp on buddy list refresh (to get some idea what
	time/date the guy logged off/on)

2004-11-26:
	* Added translations (pt_BR and pt_PT)  

2004-11-21:
	* Pebrot 0.8.7

2004-11-03:
	* Made error 500 non-fatal. This was reported by a user which received 
	  this when trying to add people on his lists

2004-10-15:
	* Fixed refresh of Allowed & Blocked lists when executing /a or /b

2004-05-02:
	* Better way of executing commands when using '/!'

2004-04-27:
	* Fixed bad reconnecting on error (state wasn't changed after
	  reconnect)
	* Display names trimmed before sending to server corrects
	  disconnections when using long ones. Seems like there's a fixed limit
	  of 129 chars on server, so there's no use in sending more

2004-04-25:
	* Pebrot 0.8.6

2004-04-21:
	* Fixed a crash on monochrome mode (when moving cursor backwards and 
	  typing some text) 

2004-04-16:
	* Added config option 'auto_add_to_allowed' to automatically add 
	  people to your allow list when they add you (patch from Daans)

2004-04-10:
	* Fixed removing users from list. (Bug from last code change)

2004-03-10:
	* Added two new events -> exec_on_pal_connected &
	  exec_on_pal_disconnected

2004-02-27:
	* Made errors 224 and 231 non-fatal

2004-02-25:
	* Pebrot 0.8.5

2004-02-24:
	* Fixed empty user list after login 

2004-02-05:
	* Pebrot 0.8.4

2004-02-03:
	* Fixed crash on MSN commands parsing

2004-01-24:
	* Pebrot 0.8.3

2004-01-07:
	* Better error messages when adding/removing users from lists
	* Now protocols errors are shown using the right color (the error one)
	* Included INSTALL file 

2004-01-05:
	* Now doesn't send typing notifications when entering commands using
	  '/' (previously only worked using '\' :-( )

2004-01-02:
	* Added setup.py support (now Pebrot can be installed on system dirs)	
	* Fixed '/l' command to show lists (al, fl, rl ,bl)

2003-12-24:
	* Connected users listed just after login
	* Added notification (on login) after someone adds you to his/her list

2003-12-16:
	* Updated error messages

2003-11-12:
	* Check on init for Python 2.2 or higher

2003-10-31:
	* Pebrot 0.8.2

2003-10-26:
	* Added support for changing state after some time without typing 
	  (Martin Bays)

2003-10-17:
	* Fixed error message when failed user authentication (was
	  AttributeError: 'NoneType' object has no attribute 'group')

2003-10-08:
	* Now windows use better management for stored lines (chat windows
	  won't lock due to finite lines' storage)

2003-09-08:
	* Pebrot 0.8.1

2003-09-07:
	* Workaround for SSL error ('EOF occurred in violation of protocol') on
	  Python 2.2.1 (AFAIK)

2003-09-07:
	* Pebrot 0.8

2003-08-31:
	* Implemented exec_on_* config options. These allow to execute shell
	  lines on several events
	* Fixed public ip query from showmyip.com 

2003-08-30:
	* Initial support for MSN protocol v8 
	* Now Python 2.2 or higher is required

2003-08-13:
	* Implemented transparent background using Brian Victor's extension
	  for curses module (see utils dir)
	* Use default color on input window's text
	* Fixed Python 2.3 warnings

2003-06-20:
	* Now user/password undefined writes correct error message 
	 (just show RTFM message)

2003-06-20:
	* Better handling of socket errors

2003-06-19:
	* Pebrot 0.7

2003-06-16:
	* Fixed message display when file was cancelled by peer.
	* Command fc cancels file sendings

2003-06-15:
	* Added 'auto' value for config option 'my_ip'. With this Pebrot will
	  query http://simple.showmyip.com to know public ip. 
	  (Thanks Topopardo)
	* Added some new error codes from Mike Mintz's page (the ones guessed
	  by context).  

2003-06-14:
	* Now it's possible to not put password on config file. You can only
	  put your login there and Pebrot will ask for the password
	* Config option 'my_ip' allows to specify public ip 

2003-06-10:
	* Fixed crash when resizing terminal
	* Redraw window with Ctrl-l

2003-06-06:
	* Now you can select initial logo with config option 'logo_file'

2003-05-31:
	* Implemented PNG commands and 'ping_time' config option for setting
	  time between pings

2003-05-27:
	* Resizing terminal now works (there are still problems with putty)
	* Now write notification appears also when receiving a file 

2003-05-22:
	* Added new configurable color on config file, 'col_list_parens'. It
	  refers to parentheses in users lists.

2003-05-16:
	* Added new command \e for erasing chat window contents

2003-05-15:
	* Added new command \d for dumping chat contents to file
	* New config option 'chat_title_use_alias ' allows you to use alias
	  on chat's title when option chat_title=user

2003-05-14:
	* Added commandline parameter -m for monochrome mode
	* New config option 'chat_title' defines what to show as title of
	  chat windows
	* New config option 'alias' allows you to use fixed names for pals  

2003-05-12:
	* Now clean connecting file receptions when closing chat (connected
	  ones were already clean) 

2003-05-09:
	* Fixed file sending error ('Resource temporarily unavailable')

2003-05-08:
	* Pebrot 0.6.2

2003-05-07:
	* Fixed hang in msg receiving code when handling fragmented ones

2003-05-06:
	* Changed gettext init from pebrot.py to MSN.py
	* Clean some code in MSN.py (sendChatFile, sendChatMsg) for better 
	  external use
	* Added 'example.py' for showing how to use MSN.py from an external 
	  script

2003-04-26:
	* Fixed crash when sending/receiving files.
	* Fixed minor glitches on download/upload displaying
	* Modified command 'fr', now with params for selecting which 
	  downloads to cancel
	* Included some utility scripts
	* And a new config option 'delete_key' for specifying the keycode of 
	  your backspace key, you can find it with one of those scripts

2003-04-14:
	* Pebrot 0.6.1
	* Fixed crash when no translation file is available for a language 
	  (Python 2.1 AFAIK)

2003-04-06:
	* Pebrot 0.6

2003-04-04:
	* Support for multiple accounts on config file. Selectable with -u
	* Added \! for executing shell commands in Pebrot

2003-03-30:
	* Internationalization and spanish translation file (es.po) 
	* Alt+number to activate chat window (key left from number 1 works
	  like 0)

2003-03-23:
	* Non-blocking connection when sending files

2003-03-19:
	* Non-blocking connection to chats
	* New command (\r) remove pals from buddy list
	* New command (\b) block pals
	* Modified command (\l) with argument for displaying lists
	  (forward list, reverse list, allow list and block list)
	* Fixed bug on file sends when closing chat

2003-03-17:
	* Pebrot 0.5.3

2003-03-12:
	* Backspace keycodes replaced with curses constants 
	* Fixed crash on non-color terminals

2003-03-08:
	* Fixed reconnect when socket error detected (now colors don't 
	  change to defaults and previous chats are kept)

2003-03-07:
	* Pebrot 0.5.2

2003-02-28:
	* Configurable colors
	* Fixed bug with UFT-8 chars in pal names
	* Fixed bug when displaying unread mail check

2003-02-25:
	* Chats can be logged ('log_chats' config option)
	* Now Pebrot uses a config dir for config file, logs... 
	* And if not present it creates config dir and copy supplied config 
	  file (pebrotrc) there

2003-02-17:
	* Added timestamp (configurable via 'timestamp' and 
	  'timestamp_format') when printing chat messages

2003-02-07:
	* Pebrot 0.5.1
	* Fixed protocol bug when connecting to MSN server (sending USR when 
	  VER was expected)

2003-02-03:
	* Now there's a timeout while waiting for pals to connect to chat.
	  (and the corresponding config option 'pal_connect_timeout')

2003-01-26:
	* Disabled using system encoding by default (uncommented ISO8859-1
	  on config file) It was faulty under Mandrake 9.0

2003-01-26:
	* Fixed bug, displaying blank lines instead of multiline messages 

2003-01-24:
	* Pebrot 0.5
	* Pebrot tries to reconnect to main server when disconnected

2003-01-21:
	* Now using errno.EISCONN instead of OS dependent errno number

2003-01-17:
	* Now commands can be entered with '/' (better for irc people)
	* Added config option 'auto_list_last_move'. When using autolist
	  it shows last move on users list (someone changed state or logged 
	  out)

2003-01-16:
	* Input history (UP and DOWN now selects a history line)

2003-01-09:
	* Now initial window (window 0) is selectable while using tab
	* New config option 'max_name_size' defines size of names displayed
	  on chat windows
	* New config option 'auto_list_on_0' for showing users list on 
	  window 0 (when auto_list is activated)
	* New config option 'auto_list_on_0_clear' for clearing window 0 
	  before displaying users list on window 0 (when auto_list and 
	  auto_list_on_0 are activated)

2003-01-07:
	* File tranfer ready
	* New config option 'download_dir' defines where to save received
	  files

2002-12-22:	
	* Don't send typing notifications when writing commands 
	  ( \something )
	* New option 'send_typing' defines if Pebrot will send typing 
	  notifications

2002-12-07:	
	* 'invalid fusername' protocol error is taken as non-fatal (Only
	   warn user with a screen message)

2002-11-17:	
	* Now try to create a new chat connection when logged-out due to
	  inactivity

2002-11-01:	
	* Pebrot 0.4.2
	* New option 'encoding' for overriding system's default encoding

2002-10-30:	
	* Fixed crash when receiving msgs from somebody not on buddie's list

2002-10-29:	
	* Fixed crash when receiving special chars (alt+number ones)
	* Now pebrot uses encoding from default locale 

2002-10-25:
	* Fixed crash due to incomplete messages received

2002-10-19:
	* Pebrot 0.4.1

2002-10-07:
	* Corrected crash when displaying received messages (in addstr()...)
	* Now state can be entered in any case (NLN = nln = Nln ...)

2002-10-04:
	* Fixed hang when connecting to chat session (AFAIK python 2.1 AIX)

2002-09-29:
	* Pebrot 0.4

2002-09-28:
	* Added beep_on_new_chat option

2002-09-27:
	* Fixed hang when chat buddy disconnects during chat.

2002-09-26:
	* Fixed hang when chat server closed connection after timeout.

2002-09-13:
	* Now when invited to chat windows are created on first msg received

2002-09-09:
	* Changed chat windows order (previous was weird)
	* Fixed crash diplaying large amounts of text on bars (per chat bar
	  and state bar)

2002-09-08:
	* State bar (shows chat windows' numbers)
	* Fixed crash when creating a chat
	* Fixed typing notification (didn't reset after timeout)

2002-09-07:
	* Now each chat has its own window
	* Added auto_list config option
	* Added beep_on_msg config option
	* Pebrot now checks Python's version 
	* Implemented timeout when connecting to chat server

2002-08-27:
	* Fixed bug when scrolling up (first line was not displayed)
	* Now there's one window for each chat

2002-08-23:
	* Fixed bug displaying multiline nicks 

2002-08-23:
	* Pebrot 0.3.3
	* Corrected del key doesn't working on some terms (e.g. vt100)

2002-08-20:
	* Added typing notification

2002-08-19:
	* Corrected bug (leaving chat when someone else leaves)

2002-08-17:
	* Pebrot 0.3.2
	* Added 'show_invited' config option
	* Notification when message was not received
	* Command for inviting users to active chat (\i)
	* Command for showing users on active chat (\u)

2002-08-12:
	* Pebrot 0.3.1
	* Corrected crash in multiple line input

2002-08-10:
	* Scrolling on main window
	* Corrected bug when sending big messages

2002-08-06:
	* Pebrot 0.3
	* Added command for changing screen name (\n)

2002-08-05:
	* Finished curses ui

2002-07-22:
	* Pebrot 0.2.2
	* Corrected bug in state change

2002-07-20:
	* Pebrot 0.2.1
	* Corrected problem with mail check

2002-07-19:
	* Pebrot 0.2
	* Rewrite sending/receive MSN commands
	* Corrected bug selecting active user

2002-07-18:
	* Implemented support for adding users (\a)

2002-07-16:
	* Pebrot 0.1

